import request from '@/utils/request'

// 查询微信用户管理列表
export function listUser(query) {
  return request({
    url: '/register/user/list',
    method: 'get',
    params: query
  })
}

// 查询微信用户管理详细
export function getUser(userId) {
  return request({
    url: '/register/user/' + userId,
    method: 'get'
  })
}

// 新增微信用户管理
export function addUser(data) {
  return request({
    url: '/register/user',
    method: 'post',
    data: data
  })
}

// 修改微信用户管理
export function updateUser(data) {
  return request({
    url: '/register/user',
    method: 'put',
    data: data
  })
}

// 删除微信用户管理
export function delUser(userId) {
  return request({
    url: '/register/user/' + userId,
    method: 'delete'
  })
}
